name: SEFER
description: A new Flutter project.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

version: 1.0.0+1

environment:
  sdk: '>=3.0.5 <4.0.0'


dependencies:
  flutter:
    sdk: flutter
  cupertino_icons: ^1.0.2
  firebase_messaging: ^14.6.7
  firebase_core: ^2.15.0
  flutter_local_notifications: ^16.2.0 
  google_maps_flutter: ^2.5.0
  sqflite: ^2.3.0
  path: ^1.8.3
  google_sign_in: ^6.1.4
  lottie: ^2.5.0
  intl: ^0.18.1
  google_fonts: ^ 4.0.4
  http: ^0.13.6
  get: ^4.6.5
  get_storage: ^2.1.1
  url_launcher: ^6.1.12
  location: ^5.0.2+1
  google_polyline_algorithm: ^3.1.0
  custom_searchable_dropdown: ^2.1.1
  animated_text_kit: ^4.2.2
  flutter_secure_storage: ^9.0.0
  geolocator: ^10.0.0
  flutter_paypal: ^0.2.0
  flutter_launcher_icons: ^0.13.1
  crypto: ^3.0.3
  flutter_rating_bar: ^4.0.1
  flutter_font_icons: ^2.2.5
  device_info_plus: ^9.1.0
  image_picker: ^1.0.4
  google_mlkit_text_recognition: ^0.11.0
  flutter_stripe: ^9.5.0+1
  camera: ^0.10.5+5
  flutter_widget_from_html: ^0.14.6
  local_auth: ^2.1.7
  image: ^4.1.3
  image_cropper: ^4.0.1
  envied: ^0.5.2
  cached_network_image: ^3.3.0
  calendar_builder: ^0.0.6
  fl_chart: ^0.66.0
  agora_rtc_engine: ^6.2.6
  flutter_tts: ^3.8.5
  permission_handler: ^11.3.0
  google_generative_ai: ^0.0.1-dev





dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^ 3.0.1
  envied_generator: ^0.5.2
  build_runner: ^2.4.6

flutter_launcher_icons:
  android: "launcher_icon"
  ios: true
  image_path: "assets/images/logo.png"
  min_sdk_android: 21
  web:
    generate: true
    image_path: "assets/images/logo.png"
    background_color: "#hexcode"
    theme_color: "#hexcode"
  windows:
    generate: true
    image_path: "assets/images/logo.png"
    icon_size: 48
  macos:
    generate: true
    image_path: "assets/images/logo.png"

flutter:
  uses-material-design: true
  assets:
    - assets/
    - assets/images/
    - assets/lottie/
    - assets/fonts/
    - shorebird.yaml

  fonts:
    - family: digital-counter-7
      fonts:
        - asset: assets/fonts/digital-counter-7.regular.ttf